SolrInputField (Solr 3.6.2 API)
Keywords: org.apache.solr.common.SolrInputField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common
Class SolrInputField

    java.lang.Object
      org.apache.solr.common.SolrInputField

All Implemented Interfaces:
  Serializable, Iterable<Object>

    public class SolrInputField

extends Object
implements Iterable<Object>, Serializable

Since:
  solr 1.3
Version:
  $Id: SolrInputField.java 600589 2007-12-03 16:35:59Z ryan $
See Also:
  Serialized Form

Constructor Summary
`SolrInputField(String n)`

Method Summary
`void` | `addValue(Object v, float b)` Add values to a field.
`float` | `getBoost()`
`Object` | `getFirstValue()`
`String` | `getName()`
`Object` | `getValue()`
`int` | `getValueCount()`
`Collection<Object>` | `getValues()`
`Iterator<Object>` | `iterator()`
`void` | `setBoost(float boost)`
`void` | `setName(String name)`
`void` | `setValue(Object v, float b)` Set the value for a field.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SolrInputField

    public SolrInputField(String n)

Method Detail

### setValue

    public void setValue(Object v,
                         float b)

  Set the value for a field. Arrays will be converted to a collection.

### addValue

    public void addValue(Object v,
                         float b)

  Add values to a field. if the added value is a collection, each value will be added individually

### getFirstValue

    public Object getFirstValue()

### getValue

    public Object getValue()

  Returns:
    the value for this field. If the field has multiple values, this will be a collection.

### getValues

    public Collection<Object> getValues()

  Returns:
    the values for this field. This will return a collection even if the field is not multi-valued

### getValueCount

    public int getValueCount()

  Returns:
    the number of values for this field

### getBoost

    public float getBoost()

### setBoost

    public void setBoost(float boost)

### getName

    public String getName()

### setName

    public void setName(String name)

### iterator

    public Iterator<Object> iterator()

  Specified by:
    `iterator` in interface `Iterable<Object>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD